.logo_img{
    height: 55px;
    width: auto;
}
.hasDivider,
.hasBottomDivider
{
    margin-bottom: 0.5em;
}
.hasDivider,
.hasTopDivider
{
    margin-top: 0.5em;
}
.blockDivider{

    padding-bottom: 0.5em;
    margin-top: 0.5em;
}
.blockDivider:not(:last-child){
    border-bottom: 1px solid #ccc;
}

.modal-footer-fit
{
    padding: 0;
    margin-top: 0;
}
.no_top_radius
{
    border-top-right-radius: 0;
    border-top-left-radius: 0;
}
.no_bottom_radius
{
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.preLineContent
{
    white-space: pre-line;
}


.flex-container
{
    display: -webkit-flex;
    display: flex;
}

.flex-container-vertical
{
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content:center;
    justify-content:center;
}
.flex
{
    -webkit-flex: 1;
    flex: 1;
}
.calendar_icon_wrapper{
    margin: 0 0.5em 0 0;
    width: 55px;
    height: 55px;
    font-size: 1.0em;
    text-align: center;
    box-sizing: border-box;
    border:1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 0 10px #eee;
    background-color: #fff;
}

.blockDivider{
    padding: 0.5em;
}
.blockDivider:not(:last-child){
    border-bottom: 1px solid #9f9f9f;
;
}

.hasBottomDivider{
    margin-bottom: 0.5em;
}

.anchor {
    cursor: pointer;
}


.downward {
    -moz-transform:rotate(90deg);
    -webkit-transform:rotate(90deg);
    -o-transform:rotate(90deg);
    -ms-transform:rotate(90deg);
    transform:rotate(90deg);

}

.upward {
    -moz-transform:rotate(0deg);
    -webkit-transform:rotate(0deg);
    -o-transform:rotate(0deg);
    -ms-transform:rotate(0deg);
    transform:rotate(0deg);
}


.file_type_icon{
    width: 30px;
    height: 30px;
}

.detail_button .btn {
    border-radius: 0 0 20px 20px;
}
.flag {
    margin-right: 10px;
}

#lang_menu{
    background: #fff;
    color: black;
    font-size: 0.9em;
    box-shadow: 2px 3px 4px rgba(0,0,0,0.25);
}

#lang_menu div:not(:last-child){
    border-bottom: 1px inset #fff;
}

.language-switcher {
    border: none;
    width: 120px;
    height: 20px;
    display: block;
    padding: 0 0;
    position: absolute;
    top: 10px;
    right: 0;
    bottom: 0;
    margin: 2px 0;
    font-size: 13px;
}

div[name=html-content]{
    /*font-size: 1.2em;*/
    line-height: 1.7em;
    margin: 1.5em auto;
}
.head-top{
    font-size: 0.9em;
}
.head-top a{
    text-decoration: none;
    color: #222;
}

.head-top .fa {
    margin-right: 0.5em;
}

.slider-item{
    width: 100%;
    height: 550px;
    margin-bottom: 1em;
}

.entry-content{
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}

.course-card, .gallery-card{
    position: relative;
    border: 1px solid #31C0D6;
    display: flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -webkit-flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    margin-bottom: 1em;
    width: 100%;
    height: 200px;
    cursor: pointer;
}


.course-card:hover{
    background-color: #f0ecf7;
}
.course-category, .gallery-category{
    background-color: #31C0D6;
    padding: 5px 15px;
    text-align: right;
    font-size: smaller;
}
.course-title, .gallery-title{
    margin: 10px 15px 5px 15px;
    font-weight: bolder;
}

.gallery-desc{
    display: none;
    background-color: rgba(255,255,255,0.8);
}

.course-intro, .gallery-intro{
    margin: 0 15px 5px 15px;
    font-size:0.9em;
}

.course-price{
    position: absolute;
    bottom:10px;
    left: 15px;
    font-size: 0.8em;
}

.fee_normal{
    color: #31C0D6;
}

.fee_discount{
    color: #ad1600;
}

.course-button, .gallery-button{
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 0 80px 110px;
    border-color: transparent transparent #31C0D6 transparent;
    position: absolute;
    right: 0;
    bottom: 0;
}

.course-more,.gallery-more{
    position: absolute;
    bottom:10px;
    right: 15px;
    display: inline-block;
    font-size: 0.8em;
}

#mContact{
    position: fixed;
    width: 50px;
    height: 250px;
    display: flex;
    display: -webkit-flex;
    display: -ms-flex;
    display: -moz-flex;
    flex-flow: column nowrap;
    justify-content: space-around;
    bottom:10px;
    left: 10px;
    z-index:1000;
}
.mPhone{
    color: white;
    display: inline-block;
    width: 50px;
    height: 50px;
    background: red;
    border-radius: 25px;
    font-size: 1.9em;
    padding-top: 0.1em;
    padding-left: 0.3em;
}

.mMessenger{
    color: white;
    display: inline-block;
    width: 50px;
    height: 50px;
    background: blue;
    border-radius: 25px;
    font-size: 1.9em;
    padding-top: 0.1em;
    padding-left: 0.3em;
}

.mLine{
    background: url(/asset/images/static/line.jpg) no-repeat center center;
    background-size: contain;
    width: 50px;
    height: 50px;
    border-radius: 25px;
    font-size: 2.3em;
    padding-left: 0.3em;
}

.mQuery{
    color: white;
    display: inline-block;
    width: 50px;
    height: 50px;
    background: #fbb034;
    border-radius: 25px;
    font-size: 2.3em;
    padding-left: 0.25em;
}

.mWeChat{
    display: inline-block;
    width: 50px;
    height: 50px;
    background: #fbb034;
    border-radius: 25px;
    font-size: 2em;
    padding-left: 0.18em;
    padding-top: 0.1em;
}

.mWeChat a {
    color: white;
}
.mPhone, .mLine, .mQuery{
    box-shadow: 3px 4px 5px rgba(0,0,0,.5);
}

.page-item{
    display: flex;
    display: -moz-flex;
    display: -webkit-flex;
    flex-flow: nowrap row;
    justify-content: center;
    /*padding: 0;*/
}

.pagination,
.page-item:last-child .page-link,
.page-item:first-child .page-link{
    /*border-radius: 15px;*/
}
.pagination>li>a{
    /*width: 30px;*/
    /*height: 30px;*/
    display: inline-block;
    /*border-radius: 15px;*/
    /*margin: 0 0.3em;*/
}

.pagination-sm>li:last-child>a, .pagination-sm>li:last-child>span{
    /*border-radius: 15px!important;*/
}

.pagination-sm>li:first-child>a, .pagination-sm>li:first-child>span {
    /*border-radius: 15px!important;*/
}

.page-item.active .page-link {
    z-index: 1;
    color: #222;
    background-color: #31c0d6;
    border-color: #2a8197;
}

.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus {
    z-index: 3;
    color: #222;
    cursor: default;
    background-color: #31c0d6;
    border-color: #2a8197;
    display: inline-block;
    /*border-radius: 15px;*/
}

.inner-banner{
    background-repeat: repeat, no-repeat;
    background-position: center center, center center;
    background-size: cover, cover;
    /*margin: 2rem 0 1.5rem 0;*/
}

.fab.text-warning {
    color: #ffa201
}

.cate-item:before {
    font-size: 16px;
    margin-right: 0!important;
}
#video-banner{
    width: 100%;
    height: 650px;
    position: relative;
}
#video-banner video{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}
.s-overlay:before {
    bottom: 0;
    content: "";
    display: block;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 100;
    height: 650px;
}
.s-overlay.ds:before {
    background-color: #252525;
    opacity: 0.5;
}
@media (max-width: 768px)
{
    #video-banner{
        height: 400px;
        margin-bottom: 200px;
    }
}
@media (max-width: 414px)
{
    #video-banner{
        height: 250px;
        margin-bottom: 100px;
    }
}
@media (max-width: 411px)
{
    #video-banner{
        height: 250px;
        margin-bottom: 100px;
    }
}